<?xml version="1.0" encoding="UTF-8"?>
<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
-->
<ehcache xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:noNamespaceSchemaLocation="ehcache.xsd">

  <!--
    Mandatory Default Cache configuration. These settings will be applied to caches
    created programmtically using CacheManager.add(String cacheName).
    
    The defaultCache has an implicit name "default" which is a reserved cache name.
  -->
  <defaultCache
    maxElementsInMemory="1000"
    eternal="false"
    timeToIdleSeconds="300"
    timeToLiveSeconds="600"
    overflowToDisk="false"
    diskPersistent="false"
    memoryStoreEvictionPolicy="LFU"/>

  <!--
    gadget specs and message bundles have additional caching policies that
    allow us to cache the objects indefinitely when using an LFU or LRU cache.
  -->
  <cache name="gadgetSpecs"
    maxElementsInMemory="1000"
    eternal="true"
    overflowToDisk="false"
    diskPersistent="false"
    memoryStoreEvictionPolicy="LFU"/>

  <cache name="messageBundles"
    maxElementsInMemory="1000"
    eternal="true"
    overflowToDisk="false"
    diskPersistent="false"
    memoryStoreEvictionPolicy="LFU"/>

  <!-- Used to cache parsed HTML DOMs based on their content -->
  <cache name="parsedDocuments"
    maxElementsInMemory="1000"
    eternal="true"
    overflowToDisk="false"
    diskPersistent="false"
    memoryStoreEvictionPolicy="LFU"/>

  <!-- Used to cache parsed CSS DOMs based on their content -->
  <cache name="parsedCss"
    maxElementsInMemory="1000"
    eternal="true"
    overflowToDisk="false"
    diskPersistent="false"
    memoryStoreEvictionPolicy="LFU"/>

  <!-- 
    This configuration is only suitable for a modest sized HTTP cache.
    You should configure a shared cache for production use.
  -->
  <cache name="httpResponses"
    maxElementsInMemory="10000"
    eternal="true"
    overflowToDisk="false"
    diskPersistent="false"
    memoryStoreEvictionPolicy="LFU"/>
</ehcache>
